Package org.kapott.hbci.passport.storage.format.legacy

# Class AbstractConverterXML

java.lang.Object
org.kapott.hbci.passport.storage.format.legacy.AbstractConverter
org.kapott.hbci.passport.storage.format.legacy.AbstractConverterXML

All Implemented Interfaces:
  `Converter`

Direct Known Subclasses:
  `ConverterAnonymous`, `ConverterRDHNew`

public abstract class AbstractConverterXML extends AbstractConverter
Abstrakte Basis-Implementierung des Converter fuer Passports, die intern XML-basiert speichern.

## Constructor Summary

Constructors
Constructor
Description
`AbstractConverterXML()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createElement(Document doc, Element root, String elemName, String elemValue)`
Erzeugt ein XML-Element.
`protected void`
`createKeyElement(Document doc, Element root, String owner, String type, String part, HBCIKey key)`
Erzeugt die XML-Elemente fuer den Schluessel.
`protected void`
`createPropsElement(Document doc, Element root, String elemName, Properties p)`
Erzeugt ein Properties-Element.
`protected abstract void`
`fill(Document doc, Element root, PassportData data)`
Schreibt die Daten in die XML-Struktur.
`protected HBCIKey`
`getElementKey(Element root, String owner, String type, String part)`
Parst den Schluessel aus der XML-Struktur.
`protected Properties`
`getElementProps(Element root, String name)`
Liefert die Werte aus dem XML-Teil als Properties.
`protected String`
`getElementValue(Element root, String name)`
Liefert einen einzelnen Wert.
`protected Element`
`read(InputStream is)`
Parst die XML-Datei und liefert das Root-Element.
`void`
`save(PassportData data, OutputStream os)`
Speichert die Passport-Daten.

### Methods inherited from class org.kapott.hbci.passport.storage.format.legacy.AbstractConverter

`getSalt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.storage.format.legacy.Converter

`load, supports`

## Constructor Details

### AbstractConverterXML

public AbstractConverterXML()

## Method Details

### read

protected Element read(InputStream is) throws Exception
Parst die XML-Datei und liefert das Root-Element.

Parameters:
  `is` - der InputStream.
Returns:
  das Root-Element.
Throws:
  `Exception`

### save

public void save(PassportData data, OutputStream os) throws Exception
Description copied from interface: `Converter`
Speichert die Passport-Daten.

Parameters:
  `data` - die Daten.
  `os` - der Stream, in den die Daten geschrieben werden.
Throws:
  `Exception` - wenn es beim Schreiben der Daten zu einem Fehler kam.
See Also:
  - `Converter.save(org.kapott.hbci.passport.storage.PassportData, java.io.OutputStream)`

### fill

protected abstract void fill(Document doc, Element root, PassportData data)
Schreibt die Daten in die XML-Struktur.

Parameters:
  `doc` - das Dokument.
  `root` - das Root-Element.
  `data` - die zu schreibenden Daten.

### getElementValue

protected String getElementValue(Element root, String name)
Liefert einen einzelnen Wert.

Parameters:
  `root` - das Element.
  `name` - der Name des Elements.
Returns:

### getElementProps

protected Properties getElementProps(Element root, String name)
Liefert die Werte aus dem XML-Teil als Properties.

Parameters:
  `root` - Das Basis-Element.
  `name` - der Name des Elements.
Returns:
  die Properties.

### getElementKey

protected HBCIKey getElementKey(Element root, String owner, String type, String part) throws Exception
Parst den Schluessel aus der XML-Struktur.

Parameters:
  `root` - das Root-Element.
  `owner` - Owner.
  `type` - Typ.
  `part` - Teil.
Returns:
  der Schluessel.
Throws:
  `Exception`

### createElement

protected void createElement(Document doc, Element root, String elemName, String elemValue)
Erzeugt ein XML-Element.

Parameters:
  `doc` - das Dokument.
  `root` - das Root-Element.
  `elemName` - der Name des Elements.
  `elemValue` - der Wert des Elements.

### createPropsElement

protected void createPropsElement(Document doc, Element root, String elemName, Properties p)
Erzeugt ein Properties-Element.

Parameters:
  `doc` - das Dokument.
  `root` - das Root-Element.
  `elemName` - der Name des Element.s
  `p` - die Properties.

### createKeyElement

protected void createKeyElement(Document doc, Element root, String owner, String type, String part, HBCIKey key)
Erzeugt die XML-Elemente fuer den Schluessel.

Parameters:
  `doc` - das Dokument.
  `root` - das Root-Element.
  `owner` - Owner.
  `type` - Typ.
  `part` - Teil.
  `key` - Schluessel.